Ignore:
Timestamp:
2010-01-12T14:01:41+13:00 (14 years ago)
Author:
davidb
Message:

autoconf generated file

File:
1 edited

Legend:

Unmodified
Added
Removed
  • main/trunk/gs2runtime/configure

    r16613 r21445  
    310310
    311311ac_subdirs_all="$ac_subdirs_all common-src runtime-src"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14061405
    14071406
    1408 
    1409 # Check whether --with-gdbm or --without-gdbm was given.
    1410 if test "${with_gdbm+set}" = set; then
    1411   withval="$with_gdbm"
    1412   gdbmdir=$withval
    1413 fi;
    1414 
    14151407# Check whether --enable-accentfold or --disable-accentfold was given.
    14161408if test "${enable_accentfold+set}" = set; then
     
    68126804
    68136805
    6814 
    6815 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6816 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6817 if test ! -z "$gdbmdir" ; then
    6818   # look in given directory for header file
    6819   if test -r $gdbmdir/include/gdbm.h ; then
    6820     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6821   elif test -r $gdbmdir/gdbm.h ; then
    6822     GDBM_INCLUDE="-I$gdbmdir" ;
    6823   fi
    6824 
    6825   # look in given directory for library
    6826   if test -r $gdbmdir/libgdbm.a ; then
    6827     GDBM_LIBPATH="-L$gdbmdir" ;
    6828   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6829     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6830   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6832   fi
    6833 
    6834   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6835     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6836 echo "${ECHO_T}$gdbmdir" >&6 ;
    6837   else
    6838     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6839 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6840     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6841 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6842   fi
    6843 fi
    6844 
    6845 # look in default path and in /usr/local
    6846 if test -z "$GDBM_INCLUDE" ; then
    6847   # try in system directory
    6848 
    6849 cat >conftest.$ac_ext <<_ACEOF
    6850 /* confdefs.h.  */
    6851 _ACEOF
    6852 cat confdefs.h >>conftest.$ac_ext
    6853 cat >>conftest.$ac_ext <<_ACEOF
    6854 /* end confdefs.h.  */
    6855 #include <gdbm.h>
    6856 
    6857 int
    6858 main ()
    6859 {
    6860 
    6861   ;
    6862   return 0;
    6863 }
    6864 _ACEOF
    6865 rm -f conftest.$ac_objext
    6866 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6867   (eval $ac_compile) 2>conftest.er1
    6868   ac_status=$?
    6869   grep -v '^ *+' conftest.er1 >conftest.err
    6870   rm -f conftest.er1
    6871   cat conftest.err >&5
    6872   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6873   (exit $ac_status); } &&
    6874      { ac_try='test -z "$ac_cxx_werror_flag"
    6875              || test ! -s conftest.err'
    6876   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6877   (eval $ac_try) 2>&5
    6878   ac_status=$?
    6879   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6880   (exit $ac_status); }; } &&
    6881      { ac_try='test -s conftest.$ac_objext'
    6882   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6883   (eval $ac_try) 2>&5
    6884   ac_status=$?
    6885   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6886   (exit $ac_status); }; }; then
    6887   success=yes
    6888 else
    6889   echo "$as_me: failed program was:" >&5
    6890 sed 's/^/| /' conftest.$ac_ext >&5
    6891 
    6892 success=no
    6893 
    6894 fi
    6895 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6896 
    6897   if test $success = "no"; then
    6898 # last chance - look in /usr/local (eg FreeBSD)
    6899     GDBM_LIBPATH=-L/usr/local/lib
    6900     GDBM_INCLUDE=-I/usr/local/include
    6901     ac_save_CXXFLAGS="$CXXFLAGS"
    6902     ac_save_LIBS="$LIBS"
    6903       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6904       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6905       cat >conftest.$ac_ext <<_ACEOF
    6906 /* confdefs.h.  */
    6907 _ACEOF
    6908 cat confdefs.h >>conftest.$ac_ext
    6909 cat >>conftest.$ac_ext <<_ACEOF
    6910 /* end confdefs.h.  */
    6911 #include <gdbm.h>
    6912 #include <stdio.h>
    6913 
    6914 int
    6915 main ()
    6916 {
    6917 printf("%s",gdbm_version);
    6918   ;
    6919   return 0;
    6920 }
    6921 _ACEOF
    6922 rm -f conftest.$ac_objext conftest$ac_exeext
    6923 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6924   (eval $ac_link) 2>conftest.er1
    6925   ac_status=$?
    6926   grep -v '^ *+' conftest.er1 >conftest.err
    6927   rm -f conftest.er1
    6928   cat conftest.err >&5
    6929   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6930   (exit $ac_status); } &&
    6931      { ac_try='test -z "$ac_cxx_werror_flag"
    6932              || test ! -s conftest.err'
    6933   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6934   (eval $ac_try) 2>&5
    6935   ac_status=$?
    6936   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6937   (exit $ac_status); }; } &&
    6938      { ac_try='test -s conftest$ac_exeext'
    6939   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6940   (eval $ac_try) 2>&5
    6941   ac_status=$?
    6942   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6943   (exit $ac_status); }; }; then
    6944   success=/usr/local
    6945 else
    6946   echo "$as_me: failed program was:" >&5
    6947 sed 's/^/| /' conftest.$ac_ext >&5
    6948 
    6949 success=no
    6950 
    6951 fi
    6952 rm -f conftest.err conftest.$ac_objext \
    6953       conftest$ac_exeext conftest.$ac_ext
    6954       CXXFLAGS=$ac_save_CXXFLAGS
    6955       LIBS=$ac_save_LIBS
    6956   fi
    6957 
    6958   echo "$as_me:$LINENO: result: $success" >&5
    6959 echo "${ECHO_T}$success" >&6
    6960   if test $success = "no"; then
    6961   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6962 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6963    { (exit 1); exit 1; }; }
    6964   fi
    6965 fi
    6966 cat >>confdefs.h <<\_ACEOF
    6967 #define HAVE_LIBGDBM  1
    6968 _ACEOF
    6969 
    6970 
    6971 
    6972 
    6973 
    69746806success=no
    69756807echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    69766808echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6809
    69776810
    69786811cat >conftest.$ac_ext <<_ACEOF
     
    73927225moduleDirs=""
    73937226MODULEDIRS=""
    7394 if  -d modules ; then
     7227if test -d modules ; then
    73957228  for x in `find modules -mindepth 1 -maxdepth 2`; do
    73967229    if test -d "$x"; then
     
    80857918s,@LIBOBJS@,$LIBOBJS,;t t
    80867919s,@STATIC@,$STATIC,;t t
    8087 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8088 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    80897920s,@gsdlos@,$gsdlos,;t t
    80907921s,@MODULEDIRS@,$MODULEDIRS,;t t
Note: See TracChangeset for help on using the changeset viewer.